import { select, arc} from 'd3';

const svg = select('svg');


const height= parseFloat(svg.attr('height'));
const width= parseFloat(svg.attr('width'));

const g = svg.append('g')
    .attr('transform', `translate( ${width /2}, ${height /2})`);

const circle = g.append('circle')
    .attr('r', height /2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyeL = width/2 + 100;
const eyeR =  (100 - width /2);
const eyeYoffset = 175;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowOffset = -70;

const eyesG = svg.append('g')
  .attr('transform', `translate(0, ${eyeYoffset})`);

const leftEye = eyesG.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeL);
	
	
const rightEye = eyesG.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeR);
	
const lefteyeBrow = eyesG.append('rect')
    .attr('x', eyeL - eyebrowWidth /2)
    .attr('y', eyebrowOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(2000)
		.attr('y', eyebrowOffset -50)
	.transition().duration(2000)
		.attr('y', eyebrowOffset);

const righteyeBrow = eyesG.append('rect')
    .attr('x', -(eyeR + eyebrowWidth /2))
    .attr('y', eyebrowOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
	.transition().duration(2000)
		.attr('y', eyebrowOffset -50)
	.transition().duration(2000)
		.attr('y', eyebrowOffset);

const mouth = g.append('path')
	.attr('d', arc()({
    
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI /2,
      endAngle: Math.PI * 3/2
  }));